Imports EgtBEAMWALL.Core.ConstGen
Imports EgtWPFLib5

Public Class ProjWndVM
   Inherits VMBase

#Region "FIELD & PROPERTIES"

   Public ReadOnly Property PartManager_Visibility As Visibility
      Get
         Return If((Map.refMainMenuVM.SelPage = Pages.VIEW OrElse Map.refMainMenuVM.SelPage = Pages.ONLYPRODPAGE) AndAlso Not IsNothing(Map.refProjectVM.BTLStructureVM) AndAlso Map.refProjectVM.BTLStructureVM.SelectionType = BTLStructureVM.SelectionTypes.SELECT_ AndAlso Not Map.refFreeContourManagerVM.bIsActive, Visibility.Visible, Visibility.Collapsed)
      End Get
   End Property

   Private m_FreeContourManager_Visibility As Boolean = False
   Public Property FreeContourManager_Visibility As Visibility
      Get
         Return If(m_FreeContourManager_Visibility, Visibility.Visible, Visibility.Collapsed)
      End Get
      Set(value As Visibility)
         m_FreeContourManager_Visibility = (value = Visibility.Visible)
      End Set
   End Property
   Friend Sub SetFreeContourManager_Visibility(IsVisible As Boolean)
      m_FreeContourManager_Visibility = IsVisible
      NotifyPropertyChanged(NameOf(FreeContourManager_Visibility))
   End Sub

#End Region    ' Fields & Properties

#Region "CONSTRUCTOR"

   Sub New()
      Map.SetRefProjWndVM(Me)
   End Sub

#End Region    ' Constructor

End Class
